Trying to help a friend out.

I am more xbox360 myself and help a lot of people out with them but don't have a clue about Wiis
I have spent the last 3 days hitting google and different forums but cannot find straight answers and so if someone could point me in the right direction I would be most greatful. I know there is nothing worse than a noob posting when they answer is there but It just does not seem to be clear.

Sometimes its easier to point out what I want to achive....She would like to use the Wii to play her backups and nothing more, not interested in other regions and homebrew and usb loading and softmods. Just simply backup the original and play it on the Wii.

Spec...
PAL WII D2B pins cut.
Wiikey (original) ie version 1

Currently she can play a small collection of old games via backups but new games don't seem to load. There was a system update on the game blocking them from loading and I cant remember what she said happend when she tried to update but either way she has since (via wifi) updated to 4.3e.
I know software versions above 4.2 don't allow for playing region free but again she aint fussed about that and I guess the 4.3e would be compatible with latest games.

Qs
  • Is the current (1.9s) or beta (1.99) Wiikey update fully compatible with 4.3e and if not which is the highest system update I can downgrade to and work with the Wiikey?
  • When I am updating the Wiikey I was getting a test error as there are no clear instructions. People mention taking it out and putting it back in but not specifically at which point. I Managed to get through the update process last night by removing the update DVD at certain points and got to the re-boot point but is there a way to verify it was actually written? I am 90% sure its not a clone but would be nice to verify its on the latest fw?
  • I have not tried it yet but would the 1.9 config disk load if its not on 1.9+ fw?

If any of these questions have been addressed already feel free to post a link and call me names I can take it